#!/usr/bin/env node
"use strict";

var _express = _interopRequireDefault(require("express"));

var _url = require("url");

var _ghSdk = require("@shelf/gh-sdk");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const app = (0, _express.default)();
const port = 5000;
app.get('/:url', async (req, res) => {
  const prURL = req.params.url;
  const {
    pathname
  } = (0, _url.parse)(prURL);
  const [_, org, repo, __, prNumber] = pathname.split('/');

  if (!org || !repo || !prNumber) {
    return res.send('ok');
  }

  await (0, _ghSdk.approvePR)({
    owner: org,
    repo,
    pr: Number(prNumber)
  });
  return res.send('<h1 style="text-align: center; font-size: 5rem; margin-top: 20%; color: limegreen;">Approved!</h1>');
});
app.listen(port, () => console.log(`Example app listening on port ${port}!`));